Subject: Re: [PATCH/RFC v4 07/10] send-email: reduce dependancies impact on parse_address_line

From: Matthieu Moy <[email-masked]>
Date: Thu, 18 Jun 2015 19:29:35 +0200

Remi Lespinet <[email-masked]> writes:

>> Remi Lespinet <[email-masked]> writes:
>> 
>> > I've some more tests, maybe I should put them all in this post ?
>> 
>> Yes, please post as much as you have. Ideally, this should be
>> automatically tested, but if you don't have time to write the automated
>> tests, at least having a track of what you did on the list archives can
>> help someone else to do it.
>
> It may not be easily readable without colors, so there are the scripts
> at the end.

Cool. Then almost all the work is done to get an automated test. Next
step would be to add the tests itself in the code. I would do that by
adding a hidden --selfcheck option to git send-email that would compare
Mail::Address->parse($string); and split_addrs($string); for all your
testcases, and die if they do not match. Then calling it from the
testsuite would be trivial.

I can do that on top of your series if you don't have time.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/